--- config/DOC_Make.SH.orig	2011-07-28 14:11:34.430896929 +1200
+++ config/DOC_Make.SH	2011-07-28 14:11:39.832738158 +1200
@@ -21,7 +21,8 @@
 
 doc all: develop.dvi libpari.dvi users.dvi refcard.ps tutorial.dvi
 docps: develop.ps libpari.ps refcard.ps tutorial.ps users.ps INSTALL.ps
-docpdf: develop.pdf libpari.pdf users.pdf tutorial.pdf refcard.pdf INSTALL.pdf
+#docpdf: develop.pdf libpari.pdf users.pdf tutorial.pdf refcard.pdf INSTALL.pdf
+docpdf: \$(PARI_TEX) \$(MACROS) pass1 pass2 indexing refcard.pdf INSTALL.pdf
 
 .SUFFIXES: .tex .ipf .pod .inf .dumbpod .3 .html
 
@@ -37,27 +38,49 @@
 %.dvi: %.tex \$(MACROS)
 	tex \$<
 
+pass1: \$(PARI_TEX) \$(USERS_TEX) develop.tex tutorial.tex \$(MACROS)
+	-rm -f *.std
+	pdftex libpari
+	pdftex develop
+	pdftex tutorial
+	pdftex users
+
+pass2: pass1
+	pdftex libpari
+	pdftex develop
+	pdftex tutorial
+	pdftex users
+
+indexing: pass2
+	\$(MAKE) libpari.std
+	\$(MAKE) develop.std
+	\$(MAKE) users.std
+	pdftex libpari
+	pdftex develop
+	pdftex users
+	-rm -f *.std
+
 libpari.pdf: \$(PARI_TEX) \$(MACROS)
 	-rm -f libpari.std
 	pdftex libpari
 	pdftex libpari
-	make libpari.std; pdftex libpari; rm -f libpari.std
+	\$(MAKE) libpari.std; pdftex libpari; rm -f libpari.std
 libpari.dvi: \$(PARI_TEX) \$(MACROS)
 	-rm -f libpari.std
 	tex libpari
 	tex libpari
-	make libpari.std; tex libpari; rm -f libpari.std
+	\$(MAKE) libpari.std; tex libpari; rm -f libpari.std
 
 develop.pdf: develop.tex \$(MACROS)
 	-rm -f develop.std
 	pdftex develop
 	pdftex develop
-	make develop.std; pdftex develop; rm -f develop.std
+	\$(MAKE)make develop.std; pdftex develop; rm -f develop.std
 develop.dvi: develop.tex \$(MACROS)
 	-rm -f develop.std
 	tex develop
 	tex develop
-	make develop.std; tex develop; rm -f develop.std
+	\$(MAKE) develop.std; tex develop; rm -f develop.std
 
 tutorial.pdf: tutorial.tex \$(MACROS)
 	-rm -f tutorial.std
@@ -85,13 +108,13 @@
 	-rm -f users.std
 	tex users
 	tex users
-	make users.std; tex users; rm -f users.std
+	\$(MAKE) users.std; tex users; rm -f users.std
 
 users.pdf: \$(USERS_TEX)
 	-rm -f users.std
 	pdftex users
 	pdftex users
-	make users.std; pdftex users; rm -f users.std
+	\$(MAKE) users.std; pdftex users; rm -f users.std
 
 gpman: gp.1
 	nroff -man gp.1 | unix2dos -ascii > gp.man
